  program funtest
  integer aa(-2:30)
  integer b
! @
  call abc(aa(1),aa(4),b)
  end
!@
  subroutine abc(dd,f,g,h)
  integer g
  integer dd(20)
  integer f
  integer e
  integer h
  h=g
  e=3
  f=5
  dd(1)=e
  end

